DeterministicParser (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class DeterministicParser

    java.lang.Object
      org.maltparser.parser.Algorithm
          org.maltparser.parser.Parser
              org.maltparser.parser.DeterministicParser

    public class DeterministicParser

extends Parser

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.Algorithm
`classifierGuide, currentParserConfiguration, diagnostics, diaWriter, manager, parserState`

Constructor Summary
`DeterministicParser(DependencyParserConfig manager)`

Method Summary
`DependencyStructure` | `parse(DependencyStructure parseDependencyGraph)` Parses the empty dependency graph
`void` | `terminate()`

Methods inherited from class org.maltparser.parser.Algorithm
`closeDiaWriter, copyDynamicInput, copyEdges, getCurrentParserConfiguration, getDiaWriter, getGuide, getManager, getParserState, initParserState, isDiagnostics, makeParserFactory, openDiaWriter, setCurrentParserConfiguration, setDiagnostics, setGuide, setManager, setParserState, writeToDiaFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeterministicParser

    public DeterministicParser(DependencyParserConfig manager)
                        throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### parse

    public DependencyStructure parse(DependencyStructure parseDependencyGraph)
                              throws MaltChainedException

  Description copied from class: `Parser`
  Parses the empty dependency graph

  Specified by:
    `parse` in class `Parser`
  Parameters:
    `parseDependencyGraph` - a dependency graph
  Returns:
    a parsed dependency graph
  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Specified by:
    `terminate` in class `Algorithm`
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.